VelocityReport Plugin - Feature #15

render_to_component doesn't exist anymore
06/23/2010 05:40 AM - Patrick Talbot

Status: Closed Start date: 06/23/2010
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 100%
Category: overall Estimated time: 0.00 hour
Target version: v2.0

Browser (if web

client):

Description

render_to_component was a method of the Jeff's xhtmlrenderer plugin that we though was not needed anymore.
| was used to display the preview panel in a JPanel on a Servoy form instead of an independent window.

David Pearce told us that he was missing this functionality, so I'm opening this issue to see if we can add it back.

History

#1 - 06/24/2010 11:59 PM - Patrick Talbot

- Category set to overall

#2 - 07/18/2010 07:31 AM - Patrick Talbot

- Status changed from New to In Progress

#3 - 07/18/2010 07:32 AM - Patrick Talbot
- % Done changed from 0 to 50

#4 - 08/09/2010 06:42 AM - Patrick Talbot
- % Done changed from 50 to 90

Works fine now.

Will be in next v1.2.5 version: added previewToComponent() and updatePreview() methods.

Need to create a sample in the sample solution and will publish a new release.

Note that due to the fact that the previewToComponent() will take a JPanel to render, these methods will not be web compatible!

#5 - 08/10/2010 05:23 AM - Patrick Talbot

- Status changed from In Progress to Closed

#6 - 08/10/2010 05:23 AM - Patrick Talbot
- % Done changed from 90 to 100
